# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查询条件验证_需求单列表,2289,2289-2,sit,bs
涉及到接口:多采商城需求单列表获取接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import datetime
import random
import json

module = "cmdc_demand_mall"

# 第一步登录多采商城获取token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取需求单列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)


# 此函数用于当x为none时，进行空字符串替换
def func(x):
    if x is None:
        x = ""
        return x
    else:
        return x


# 生成随机数
random_demand = random.randint(0, len(result["data"]["list"]) - 1)
# 获取需求单信息
seller_company_code = result["data"]["list"][random_demand]["sellerCompanyCode"]
startTime = result["data"]["list"][random_demand]["createTime"]
endTime = datetime.datetime.now().strftime("%Y-%m-%d %H:%M:%S")
product_code = func(result["data"]["list"][random_demand]["productCode"])
product_info_value = func(result["data"]["list"][random_demand]["productName"])
order_num = result["data"]["list"][random_demand]["demandCode"]
payment_type = result["data"]["list"][random_demand]["paymentType"]
preference_type = result["data"]["list"][random_demand]["preferenceType"]

# 第三步在需求单列表进行需求单查询操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2")
request_body = commonFuc().get_business_data(module, "payload2", seller_company_code, startTime, endTime, product_code,
                                             product_info_value, order_num, payment_type, preference_type)
# print(request_body)
"""
 场景: 验证需求单列表查询条件正确性
 用例名称：查询条件验证_需求单列表
 输出：{"orderNum":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取查询结果中订单编号
result = {"orderNum": result["data"]["list"][0]["demandCode"]}
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict2", order_num)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
