# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc模糊查询生产厂家列表接口验证,2289,2289-7,sit,bs
涉及到接口:多采商城需求单列表生产厂家模糊查询接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import json

module = "cmdc_demand_mall"

# 第一步登录多采商城获取token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 设置需要查询的生产厂家
manufacturer = "A"
# 第二步进行生产厂家模糊查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url7")
request_body = commonFuc().get_business_data(module, "payload7", manufacturer)

"""
 场景: 验证获取需求单列表,生产厂家模糊查询接口连通性
 用例名称：模糊查询生产厂家列表接口验证
 输出：{"data":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取查询结果中厂家信息
result = {"data": result["data"][0][0]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict7", manufacturer)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
