# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc需求单商品返利明细获取验证,2289,2289-26,sit,bs
涉及到接口:多采商城获取需求单商品返利明细接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import random
import json

module = "cmdc_demand_mall"

# 第一步登录多采商城获取token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取需求单列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
random_demand = random.randint(0, len(result["data"]["list"]) - 1)
# 获取需求单信息
demand_code = result["data"]["list"][random_demand]["demandCode"]
# demand_code = "16974216158935068"

# 第四步查看需求单中商品对应的返利明细
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url26")
request_body = commonFuc().get_business_data(module, "payload26", demand_code)

"""
 场景: 需求单商品返利明细获取验证
 用例名称：需求单商品返利明细获取验证
 输出：{"demandCode":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取返利明细中demandCode
result = {"demandCode": result["data"][0]["demandCode"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict26", demand_code)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
